Name:        agave-nerd-fonts
Version:     3.3.0
Release:     %autorelease
Summary:     Iconic font aggregator, collection, & patcher.

BuildArch:   noarch
License:     MIT
URL:         https://github.com/ryanoasis/nerd-fonts
Source0:     %{url}/releases/download/v%{version}/Agave.tar.xz

%description
Nerd Fonts is a project that patches developer targeted fonts with a high
number of glyphs (icons). Specifically to add a high number of extra glyphs
from popular 'iconic fonts' such as Font Awesome, Devicons, Octicons, and
others.

%prep
%autosetup -c

%build
# Nothing to do here

%install

install -Dm644 AgaveNerdFont-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/AgaveNerdFont-Bold.ttf
install -Dm644 AgaveNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/AgaveNerdFont-Regular.ttf
install -Dm644 AgaveNerdFontMono-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/AgaveNerdFontMono-Bold.ttf
install -Dm644 AgaveNerdFontMono-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/AgaveNerdFontMono-Regular.ttf
install -Dm644 AgaveNerdFontPropo-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/AgaveNerdFontPropo-Bold.ttf
install -Dm644 AgaveNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/AgaveNerdFontPropo-Regular.ttf

%files

%{_datadir}/fonts/%{name}/AgaveNerdFont-Bold.ttf
%{_datadir}/fonts/%{name}/AgaveNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/AgaveNerdFontMono-Bold.ttf
%{_datadir}/fonts/%{name}/AgaveNerdFontMono-Regular.ttf
%{_datadir}/fonts/%{name}/AgaveNerdFontPropo-Bold.ttf
%{_datadir}/fonts/%{name}/AgaveNerdFontPropo-Regular.ttf
%license "LICENSE"
%doc "README.md"

%changelog
* Sun Dec 01 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.3.0-1
- Updated to version v3.3.0

* Sat Jul 20 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.2.1-1
- Updated to version v3.2.1
